#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,a, maxi=-1, b=0, indeks=0;
    bool jednako = false;

    cin >> n;

    int niz[n];

    for(int i=0; i < n; i++)
    {
        cin >> a;
        niz[i] = a;

        if(i != 0)
        {
            if(a >= maxi)
            {
                maxi = a;
                indeks = i;
            }
        }
    }

    for(int i=0; i < n; i++)
    {
        if(i == indeks)
        {
            maxi = -1;
            for(int j=i+1; j < n; j++)
            {
                if(niz[j] >= maxi)
                {
                    maxi = niz[j];
                    indeks = j;
                }
            }
        }
        if(maxi > niz[i])
        {
            b = niz[i];
            niz[i] = niz[indeks];
            niz[indeks] = b;
            break;
        }
        else
        {
            if( maxi == niz[i])
            {
                jednako = true;
            }
        }
        if(i == n-2)
        {
            if((niz[i] <= niz[i+1])||(jednako == false))
            {
                b = niz[i];
                niz[i] = niz[i+1];
                niz[i+1] = b;
            }
            break;
        }
    }

    for(int i=0; i < n; i++)
    {
        cout << niz[i] << " ";
    }
    cout << endl;
    return 0;
}